### R code from vignette source 'st.Rnw'

###################################################
### code chunk number 1: st.Rnw:87-91
###################################################
library(spacetime)
rm(list = ls())
data(air)
ls()


###################################################
### code chunk number 2: st.Rnw:100-104
###################################################
rr = rural[,"2005::2010"]
unsel = which(apply(as(rr, "xts"), 2, function(x) all(is.na(x))))
r5to10 = rr[-unsel,]
summary(r5to10)


###################################################
### code chunk number 3: st.Rnw:108-110
###################################################
rn = row.names(r5to10@sp)[4:7]
rn


###################################################
### code chunk number 4: st.Rnw:115-120 (eval = FALSE)
###################################################
## par(mfrow=c(2,2))
## # select 4, 5, 6, 7
## for(i in rn) 
## 	acf(na.omit(r5to10[i,]), main = i)
## par(mfrow=c(1,1))


###################################################
### code chunk number 5: st.Rnw:125-130
###################################################
par(mfrow=c(2,2))
# select 4, 5, 6, 7
rn = row.names(r5to10@sp)[4:7]
for(i in rn) 
	acf(na.omit(r5to10[i,]), main = i)


###################################################
### code chunk number 6: st.Rnw:139-140 (eval = FALSE)
###################################################
## acf(na.omit(as(r5to10[rn,], "xts")))


###################################################
### code chunk number 7: st.Rnw:145-146
###################################################
acf(na.omit(as(r5to10[rn,], "xts")))


###################################################
### code chunk number 8: st.Rnw:170-171 (eval = FALSE)
###################################################
## acf(na.omit(as(r5to10[4:10,], "xts")))


###################################################
### code chunk number 9: st.Rnw:176-177
###################################################
print(spDists(r5to10[4:10,]@sp), digits=3)


###################################################
### code chunk number 10: st.Rnw:184-185
###################################################
rs = sample(dim(r5to10)[2], 100)


###################################################
### code chunk number 11: st.Rnw:190-192
###################################################
lst = lapply(rs, function(i) { x = r5to10[,i]; x$ti = i; x} )
pts = do.call(rbind, lst)


###################################################
### code chunk number 12: st.Rnw:195-197
###################################################
library(gstat)
v = variogram(PM10~ti, pts[!is.na(pts$PM10),], dX=0)


###################################################
### code chunk number 13: st.Rnw:200-203 (eval = FALSE)
###################################################
## plot(v, fit.variogram(v, vgm(1, "Exp", 200, 1)))
## vmod = fit.variogram(v, vgm(1, "Exp", 200, 1))
## plot(v, vmod)


###################################################
### code chunk number 14: st.Rnw:207-210
###################################################
plot(v, fit.variogram(v, vgm(1, "Exp", 200, 1)))
vmod = fit.variogram(v, vgm(1, "Exp", 200, 1))
print(plot(v, vmod))


###################################################
### code chunk number 15: st.Rnw:218-219
###################################################
vmod


###################################################
### code chunk number 16: st.Rnw:224-225
###################################################
dim(r5to10)


###################################################
### code chunk number 17: st.Rnw:230-231 (eval = FALSE)
###################################################
## vv = variogram(PM10~1, r5to10, width=20, cutoff = 200)


###################################################
### code chunk number 18: st.Rnw:236-237 (eval = FALSE)
###################################################
## vv = variogram(PM10~1, r5to10[,1:200], width=20, cutoff = 200)


###################################################
### code chunk number 19: st.Rnw:243-244
###################################################
data(vv)


###################################################
### code chunk number 20: st.Rnw:247-248
###################################################
vv <- vv[c("np", "dist", "gamma", "id", "timelag", "spacelag")]


###################################################
### code chunk number 21: st.Rnw:251-253 (eval = FALSE)
###################################################
## plot(vv, ylab = "time lag (days)")
## plot(vv, map = FALSE, ylab = "time lag (days)")


###################################################
### code chunk number 22: st.Rnw:257-259
###################################################
print(plot(vv, ylab = "time lag (days)"), split = c(1,1,1,2), more = TRUE)
print(plot(vv, map = FALSE, ylab = "time lag (days)"), split = c(1,2,1,2))


###################################################
### code chunk number 23: st.Rnw:294-299
###################################################
metricVgm <- vgmST("metric",
                   joint=vgm(50,"Exp",100,0),
                   stAni=50)

metricVgm <- fit.StVariogram(vv, metricVgm, method="L-BFGS-B")


###################################################
### code chunk number 24: st.Rnw:303-304 (eval = FALSE)
###################################################
## plot(vv, metricVgm)


###################################################
### code chunk number 25: st.Rnw:309-310
###################################################
print(plot(vv, metricVgm))


###################################################
### code chunk number 26: st.Rnw:334-341
###################################################
sepVgm <- vgmST("separable",
                space=vgm(0.9,"Exp", 123, 0.1),
                time =vgm(0.9,"Exp", 2.9, 0.1),
                sill=45)

sepVgm <- fit.StVariogram(vv, sepVgm, method = "L-BFGS-B")
plot(vv, sepVgm)


###################################################
### code chunk number 27: st.Rnw:346-347
###################################################
print(plot(vv,sepVgm))


###################################################
### code chunk number 28: st.Rnw:354-356 (eval = FALSE)
###################################################
## library(lattice)
## plot(vv,wireframe=T,col.regions=bpy.colors())


###################################################
### code chunk number 29: st.Rnw:361-363
###################################################
library(lattice)
print(plot(vv,wireframe=T,col.regions=bpy.colors()))


###################################################
### code chunk number 30: st.Rnw:386-387 (eval = FALSE)
###################################################
## demo(gstat3D)


